/// <reference types="react" />
export declare const mobileBreakpoint = 440;
export declare const StyledPageAside: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../../PageLayout").PageAsideProps & import("react").RefAttributes<HTMLDivElement>>, any, {}, never>;
export declare const StyledModal: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../../Modal").ModalProps & import("react").RefAttributes<HTMLDivElement>> & {
    Body: import("react").ForwardRefExoticComponent<import("../../Modal/Modal.types").ModalBodyProps & import("react").RefAttributes<HTMLDivElement>>;
    Container: import("react").ForwardRefExoticComponent<import("../../Modal/Modal.types").ModalContainerProps & import("react").RefAttributes<HTMLDivElement>>;
    Content: import("styled-components").StyledComponent<"div", any, {
        $compact?: boolean | undefined;
    }, never>;
    Footer: import("styled-components").StyledComponent<"div", any, {}, never>;
    FooterButtons: import("react").ForwardRefExoticComponent<import("../../Modal/Modal.types").ModalCloseableHeaderProps & import("react").RefAttributes<HTMLDivElement>>;
    FooterNotation: import("react").ForwardRefExoticComponent<import("../..").SpanAttributes & import("../..").TypographyProps & import("react").RefAttributes<HTMLSpanElement>>;
    FooterSummary: import("react").ForwardRefExoticComponent<import("../..").DivAttributes & import("react").RefAttributes<HTMLDivElement>>;
    Header: import("react").ForwardRefExoticComponent<import("../../Modal/Modal.types").ModalCloseableHeaderProps & import("react").RefAttributes<HTMLDivElement>>;
    Heading: typeof import("../../Section/Section").Heading;
    Overlay: import("styled-components").StyledComponent<"div", any, {}, never>;
    Scrim: import("styled-components").StyledComponent<"div", any, {}, never>;
    State: (props: import("../..").RenderProps) => import("react").JSX.Element;
    Section: import("react").ForwardRefExoticComponent<import("../../Section").SectionProps & import("react").RefAttributes<HTMLDivElement>>;
}, any, {}, never>;
